Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Interface PropertyHolder

All Known Implementing Classes:
  AbstractPropertyHolder, ClassPropertyHolder, CollectionPropertyHolder, ComponentPropertyHolder

    public interface PropertyHolder

Property holder abstract property containers from their direct implementation

Author:
  Emmanuel Bernard

Method Summary
`org.hibernate.mapping.Join` | `addJoin(javax.persistence.JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` | `addProperty(org.hibernate.mapping.Property prop)`
`void` | `addProperty(org.hibernate.mapping.Property prop, Ejb3Column[] columns)`
`String` | `getClassName()`
`String` | `getEntityName()`
`String` | `getEntityOwnerClassName()`
`org.hibernate.mapping.KeyValue` | `getIdentifier()`
`javax.persistence.Column[]` | `getOverriddenColumn(String propertyName)` return null if the column is not overridden, or an array of column if true
`javax.persistence.JoinColumn[]` | `getOverriddenJoinColumn(String propertyName)` return null if the column is not overridden, or an array of column if true
`String` | `getPath()`
`org.hibernate.mapping.PersistentClass` | `getPersistentClass()`
`org.hibernate.mapping.Table` | `getTable()`
`boolean` | `isComponent()`
`boolean` | `isEntity()`
`void` | `setParentProperty(String parentProperty)`

Method Detail

### getClassName

    String getClassName()

### getEntityOwnerClassName

    String getEntityOwnerClassName()

### getTable

    org.hibernate.mapping.Table getTable()

### addProperty

    void addProperty(org.hibernate.mapping.Property prop)

### getIdentifier

    org.hibernate.mapping.KeyValue getIdentifier()

### getPersistentClass

    org.hibernate.mapping.PersistentClass getPersistentClass()

### isComponent

    boolean isComponent()

### isEntity

    boolean isEntity()

### setParentProperty

    void setParentProperty(String parentProperty)

### getPath

    String getPath()

### getOverriddenColumn

    javax.persistence.Column[] getOverriddenColumn(String propertyName)

  return null if the column is not overridden, or an array of column if true

### getOverriddenJoinColumn

    javax.persistence.JoinColumn[] getOverriddenJoinColumn(String propertyName)

  return null if the column is not overridden, or an array of column if true

### getEntityName

    String getEntityName()

### addProperty

    void addProperty(org.hibernate.mapping.Property prop,
                     Ejb3Column[] columns)

### addJoin

    org.hibernate.mapping.Join addJoin(javax.persistence.JoinTable joinTableAnn,
                                       boolean noDelayInPkColumnCreation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD